kind: document
metadata:
  name: config-set/v1/ui-commands
spec:
  commandDocument:
    commandManagerId: sq.ui.commands.ft.portal
    commandTable:
      - type: NavigateToUrlCommand
        id: MyTestCommand
        name: MyTestCommand
        url: '/cases'
 
      - type: NavigateToUrlCommand
        id: MyTestCommandTab
        name: MyTestCommandTab
        url: '/wf/1403550/act/39370080'
       
      - type: NavigateToUrlCommand
        id: FormViewerCommand
        name: FormViewerCommand
        path: '~/SequenceForms/wf/fad100/My From/DefaultView.ascx'
        url: '/FormViewer/formViewerId'
       
      - type: NavigateToUrlCommand
        id: FormViewerCommandTab
        name: FormViewerCommandTab
        path: '~/SequenceForms/wf/ni100/Form2/DefaultView.ascx'
        url: '/FormViewer/FormViewerTab'
     
      - type: NavigateToUrlCommand
        id: HistoryCommand
        name: HistoryCommandName
        url: '/history'
 
    controlTable:
      - type: Menu
        id: Portal
        items:
          - type: MenuItem
            command: WorkCommand
            id: Work
            text: Work3
            cssClass: menu-item
            tooltip: Marina
           
          - type: MenuItem
            command: MyTestCommand
            id: MyTest
            text: MyTest6
            cssClass: menu-item
            tooltip: Notifications
            image: 'Archive'
 
          - type: MenuItem
            command: MyTestCommandTab
            id: MyTestTab
            text: MyTest Tab
            cssClass: menu-item
            tooltip: Notification Tab
            tab: true
            image: 'Analytics'
 
          - type: MenuItem
            command: FormViewerCommand
            id: FormViewer
            text: FormViewer
            cssClass: menu-item
            tooltip: FormViewer
            subMenuId: FormViewer
            image: 'Cases'
         
          - !remove Analytics
          - !remove Archive
      - type: Menu
        id: User
        items:
          - type: MenuItem
            id: History
            text: Mars
            tooltip: mars
            command: HistoryCommand
      - type: Menu
        id: FormViewer
        items:
          - type: MenuItem
            command: FormViewerCommand
            id: formViewerId
            text: Form viewer example
            cssClass: menu-item
            tooltip: menu viewer tooltip
                       
          - type: MenuItem
            command: FormViewerCommandTab
            id: FormViewerTab
            text: FormViewer Tab
            cssClass: menu-item
            tooltip: FormViewer Tab
            tab: true